Ben
Burton
bab@debian.org
7 de abril de 2003
fixincludes
1

# `fixincludes`

Reduce o número de #includes nos ficheiros de fontes de &kde;

    fixincludes -v, --verbose -e, --experimental -m, --modify ficheiro --help

## Descrición

`fixincludes` tenta reducir o número de #includes nos ficheiros de fontes de C++. Grande parte do que fai é específico para as fontes de &kde; polo que posibelmente non traballe tan ben con fontes de programas que non sexan de &kde;.

Foron identificados os seguintes problemas de `fixincludes`:

- Incluír cabezallos que deixaron de estar soportados pero que existen por compatibilidades con versións anteriores de Qt/KDE;

- Incluír o mesmo ficheiro múltiplas veces.

Temén hai un modo experimental que tenta eliminar un #include de cada vez (cunhas poucas excepcións) para ver se as fontes aínda compilan. Lembre que este é un modo experimental que modificará as fontes orixinais.

Por omisión, as fontes non serán modificadas; os problemas que sexan identificados serán notificados pola saída estándar.

A lista de fontes C++ a examinar debe ser indicada na liña de comandos. Se non indica nengún ficheiro, todas as fontes C++ no ou dentro do directorio actual serán examinadas (coa excepción dos directorios nos que o seu ficheiro `Makefile.am` conteña a opción `-UQT_NO_COMPAT` ou `-UKDE_NO_COMPAT`)

Esta utilidade forma parte do Kit de Desenvolvimento de Sóftware de KDE.

## Opcións

`-v, --verbose`

  Modo verborreico. Móstrase información adicional de depuración pola saída estándar.

`-e, --experimental`

  Modo experimental, definido en detalle anteriormente. Lembre que esta opción implica un `--modify`.

`-m, --modify`

  Ademais de escreber na saída estándar, modificará de verdade as fontes orixinais para corrixir os problemas que fosen encontrados.

## Autores

`fixincludes` foi escrito por Dirk Mueller mueller@kde.org.